> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get glossary

> Get glossary.



## OpenAPI

````yaml get /v2/glossaries/{glossary_id}
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/glossaries/{glossary_id}:
    get:
      tags:
        - glossaries
      summary: Get glossary
      description: Get glossary.
      operationId: get_glossary_v2_glossaries__glossary_id__get
      parameters:
        - name: glossary_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Glossary ID
            description: Glossary ID
      responses:
        '200':
          description: Requested glossary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlossaryGet'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GlossaryGet:
      properties:
        id:
          type: string
          title: Glossary ID
          description: Glossary ID
        name:
          type: string
          title: Glossary name
          description: Glossary name
        version:
          type: integer
          title: Glossary version
          description: Glossary version
        src_lang:
          type: string
          title: Glossary source language
          description: Glossary source language
        dst_lang:
          type: string
          title: Glossary destination language
          description: Glossary destination language
        entries:
          additionalProperties:
            type: string
          type: object
          title: Glossary entries
          description: Glossary entries
      type: object
      required:
        - id
        - name
        - version
        - src_lang
        - dst_lang
        - entries
      title: GlossaryGet
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````